import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export interface IDetect {
    type?: 'keyboard' | 'scanner';
    time?: number;
    event?: KeyboardEvent;
    value?: string;
}
export interface IDelete {
    type?: 'delete';
    event?: KeyboardEvent;
    value?: string;
}
export declare class NgxScanDetectDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    /**
     * Working Mode
     */
    workMode: 'manual' | 'multiple';
    /**
     * Input delay
     */
    debounce: number;
    /**
     * After how many characters start search
     */
    skipStart: number;
    /**
     * Data cleansing event
     */
    delete: EventEmitter<IDelete>;
    /**
     * Event after data entry
     */
    detected: EventEmitter<IDetect>;
    /**
     * Use for unsubscribe
     */
    private destroy$;
    constructor(elementRef: ElementRef);
    ngAfterViewInit(): void;
    /**
     * Use for unsubscribe
     */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxScanDetectDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxScanDetectDirective, "input[ngxScanDetect]", never, { "workMode": { "alias": "workMode"; "required": false; }; "debounce": { "alias": "debounce"; "required": false; }; "skipStart": { "alias": "skipStart"; "required": false; }; }, { "delete": "delete"; "detected": "detected"; }, never, never, true, never>;
}
